container:
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
    - docker build -f ./Dockerfile --build-arg NETRC=$NETRC -t $CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME .
    - 'if [ -n "$CI_COMMIT_TAG" ]; then
        docker tag "$CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME" "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG";
        docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG";
      elif [ "$CI_BUILD_REF_NAME" = "master" ]; then
        docker tag "$CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME" "$CI_REGISTRY_IMAGE:latest";
        docker push "$CI_REGISTRY_IMAGE:latest";
      else
        docker push $CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME;
      fi'
  except:
    - master
